package cn.com.poc.covenant.convert;	

import cn.com.poc.covenant.model.BizExtractionDocFlowModel;
import cn.com.poc.covenant.entity.BizExtractionDocFlowEntity;
import cn.com.poc.covenant.dto.BizExtractionDocFlowDto;


public class BizExtractionDocFlowConvert {

    public static BizExtractionDocFlowEntity modelToEntity(BizExtractionDocFlowModel model){
        BizExtractionDocFlowEntity entity = new BizExtractionDocFlowEntity();
        entity.setBizExtractionDocFlowId(model.getBizExtractionDocFlowId());
        entity.setBizTextInTaskId(model.getBizTextInTaskId());
        entity.setBizDocFlowStamps(model.getBizDocFlowStamps());
        entity.setBizDocFlowTables(model.getBizDocFlowTables());
        entity.setBizDocFlowFields(model.getBizDocFlowFields());
        entity.setBizDocFlowHandwritings(model.getBizDocFlowHandwritings());
        entity.setBizDocFlowItems(model.getBizDocFlowItems());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizExtractionDocFlowModel entityToModel(BizExtractionDocFlowEntity entity){
        BizExtractionDocFlowModel model = new BizExtractionDocFlowModel();
        model.setBizExtractionDocFlowId(entity.getBizExtractionDocFlowId());
        model.setBizTextInTaskId(entity.getBizTextInTaskId());
        model.setBizDocFlowStamps(entity.getBizDocFlowStamps());
        model.setBizDocFlowTables(entity.getBizDocFlowTables());
        model.setBizDocFlowFields(entity.getBizDocFlowFields());
        model.setBizDocFlowHandwritings(entity.getBizDocFlowHandwritings());
        model.setBizDocFlowItems(entity.getBizDocFlowItems());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizExtractionDocFlowDto entityToDto(BizExtractionDocFlowEntity entity){
        BizExtractionDocFlowDto dto = new BizExtractionDocFlowDto();
        dto.setBizExtractionDocFlowId(entity.getBizExtractionDocFlowId());
        dto.setBizTextInTaskId(entity.getBizTextInTaskId());
        dto.setBizDocFlowStamps(entity.getBizDocFlowStamps());
        dto.setBizDocFlowTables(entity.getBizDocFlowTables());
        dto.setBizDocFlowFields(entity.getBizDocFlowFields());
        dto.setBizDocFlowHandwritings(entity.getBizDocFlowHandwritings());
        dto.setBizDocFlowItems(entity.getBizDocFlowItems());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizExtractionDocFlowEntity dtoToEntity(BizExtractionDocFlowDto dto){
        BizExtractionDocFlowEntity entity = new BizExtractionDocFlowEntity();
        entity.setBizExtractionDocFlowId(dto.getBizExtractionDocFlowId());
        entity.setBizTextInTaskId(dto.getBizTextInTaskId());
        entity.setBizDocFlowStamps(dto.getBizDocFlowStamps());
        entity.setBizDocFlowTables(dto.getBizDocFlowTables());
        entity.setBizDocFlowFields(dto.getBizDocFlowFields());
        entity.setBizDocFlowHandwritings(dto.getBizDocFlowHandwritings());
        entity.setBizDocFlowItems(dto.getBizDocFlowItems());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}